Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595367 - features/recursion Error running make (expected 0; got 512): make -f work/features/recursion.mk CFLAGS=-O -w-j 2 FAILED (1/2 passed)
Summary: features/recursion Error running make (expected 0; got 512): make -f work/fea...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: make
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Petr Machata
QA Contact: Michal Nowak
URL:
Whiteboard:
Depends On:
Blocks: 600004
TreeView+ depends on / blocked
 
Reported: 2010-05-24 13:32 UTC by Michal Nowak
Modified: 2015-05-05 01:35 UTC (History)
4 users (show)

Fixed In Version: make-3.81-19.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:08:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
Testsuite fix (deleted)
2010-05-26 13:58 UTC, Petr Machata
no flags Details | Diff

Description Michal Nowak 2010-05-24 13:32:30 UTC
Description of problem:

This test case from make test suite seems to fail at all archs on current RHEL.

...
features/patternrules ................................... ok     (5 passed)
features/quoting ........................................ ok     (1 passed)
features/recursion ...................................... Error running make (expected 0; got 512): make -f work/features/recursion.mk CFLAGS=-O -w-j 2
FAILED (1/2 passed)
features/reinvoke ....................................... ok     (4 passed)
features/se_explicit .................................... ok     (5 passed)
...

However it seems it worked before (looking at results from Brew).

Version-Release number of selected component (if applicable):

make-3.81-18.1.el6.i686
gcc-4.4.4-4.el6.i686
glibc-2.12-1.2.el6.i686
Linux auto-i386-001.ss.eng.bos.redhat.com 2.6.32-28.el6.i686 #1 SMP Thu May 20 14:25:31 EDT 2010 i686 i686 i386 GNU/Linux

How reproducible:

always

Steps to Reproduce:

1. Run the testsuite, or perhaps the testsuite itself shoul do the job.
  
Expected results:

`make` or testsuite itself should be fixed.

Additional info:

Tarball here http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=14205849  but nothing special in it.

Comment 1 RHEL Product and Program Management 2010-05-24 13:50:56 UTC
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.

Comment 4 Petr Machata 2010-05-26 13:58:30 UTC
Created attachment 416845 [details]
Testsuite fix

Reported upstream:
  https://savannah.gnu.org/bugs/index.php?29968

Comment 7 releng-rhel@redhat.com 2010-11-10 21:08:51 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.